import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/garage_sale_rent_detail_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/garage_sale_rent_detail_entity.g.dart';

@JsonSerializable()
class GarageSaleRentDetailEntity {
	int? id;
	String? title;
	int? price;
	String? description;
	List<String>? resources;
	@JSONField(name: "created_at")
	String? createdAt;
	@JSONField(name: "likes_count")
	int? likesCount;
	String? contact;
	GarageSaleRentDetailAccount? account;

	GarageSaleRentDetailEntity();

	factory GarageSaleRentDetailEntity.fromJson(Map<String, dynamic> json) => $GarageSaleRentDetailEntityFromJson(json);

	Map<String, dynamic> toJson() => $GarageSaleRentDetailEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}

@JsonSerializable()
class GarageSaleRentDetailAccount {
	int? id;
	String? name;
	String? avatar;

	GarageSaleRentDetailAccount();

	factory GarageSaleRentDetailAccount.fromJson(Map<String, dynamic> json) => $GarageSaleRentDetailAccountFromJson(json);

	Map<String, dynamic> toJson() => $GarageSaleRentDetailAccountToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}